volume_reconstruction(1)

NAME
volume_reconstruction - Volume reconstruction

SYNOPSIS
volume_reconstruction [options] refImage xform0 inImage0 [xform1 inImage1 ...]

DESCRIPTION
Iterative volume reconstruction from co-registered images using inverse interpolation or joint deblurring

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--exclude-first-image, -x
    Exclude first image from reconstruction as a separate registration target image)

--crop <string>
    Crop reference to pixel region x0,y0,z1:x1,y1,z1

--pass-weight <string>, -W <string>
    Set contribution weight for a pass in the form 'pass:weight'

  Reconstruction Grid

--recon-grid <string>
    Define reconstruction grid as Nx,Ny,Nz:dX,dY,dZ[:Ox,Oy,Oz] (dims:pixel:offset)

--recon-grid-path <string>, -R <string>
    Give path to grid that defines reconstructed image grid [including offset] [Default: NONE]

  Initial Volume Injection Parameters

--isotropic-injection
    Use isotropic volume injection [otherwise: scaled with pass image pixel size per dimension]

--injection-kernel-sigma <double>, -S <double>
    Standard deviation of Gaussian kernel for volume injection in multiples of pixel size in each direction. [Default: 1]

--injection-kernel-radius <double>, -r <double>
    Truncation radius factor of injection kernel. The kernel is truncated at sigma*radius, where sigma is the kernel standard deviation. [Default: 2]

  Volume Reconstruction Options

--inverse-interpolation-kernel
    Kernel for the inverse interpolation reconstruction Supported values: "cubic", "linear", "hamming-sinc", "cosine-sinc", where the default is "cubic", or use one of the following:

    --cubic, -C
        Tricubic interpolation [This is the default]

    --linear, -L
        Trilinear interpolation (faster but less accurate)

    --hamming-sinc, -H
        Hamming-windowed sinc interpolation

    --cosine-sinc, -O
        Cosine-windowed sinc interpolation (most accurate but slowest)

--deblurring
    Kernel shape to approximate the point spread function for joint deblurring reconstruction (selecting one of these disables inverse interpolation reconstruction) Supported values: "box", "gaussian", or use one of the following:

    --box
        Box-shaped kernel

    --gaussian
        Gaussian kernel

--psf <string>
    Explicitly set point spread function size as x,y,z. Use with 'deblurring' kernel reconstrunction.

--psf-scale <double>
    Scale point spread function size by this value. Use with 'deblurring' kernel reconstrunction. [Default: 1]

  Optimization Parameters

--num-iterations <integer>, -n <integer>
    Maximum number of inverse interpolation iterations [Default: 20]

--fourth-order-error, -f
    Use fourth-order (rather than second-order) error for optimization.

  Regularization Parameters

--l-norm-weight <double>
    Set constraint weight for Tikhonov-type L-Norm regularization (0 disables constraint) [Default: 0]

--no-truncation, -T
    Turn off non-linear regional intensity truncation

  Output Options

--output <string>, -o <string>
    Output path for final reconstructed image [Default: reconstructed.nii ]

--write-injected-image <string>
    Write initial volume-injected image to this path [Default: NONE]

--write-lowest-max-error-image <string>
    Optional path to write reconstructed image with lowest MAXIMUM error. [Default: NONE]

--write-images-as-float, -F
    Write output images as floating point

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.